void func(char aver[100])
{
    char str[] = "hello world";
    char *p = str;
    char n = 10;
    void *p1 = malloc(100);
    printf("size1=[%d]\n", sizeof(str));
    printf("size2=[%d]\n", sizeof(p));
    printf("size3=[%d]\n", sizeof(n));
    printf("size4=[%d]\n", sizeof(aver));
    printf("size5=[%d]\n", sizeof(p1));
}
int main()
{
    char str[100];
    func(str);
}